Skip to main content
DELETE
/
cloud
/
v1
/
lbpools
/
{project_id}
/
{region_id}
/
{pool_id}
/
member
/
{member_id}
Delete load balancer pool member
curl --request DELETE \
  --url https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}/{pool_id}/member/{member_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}/{pool_id}/member/{member_id}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/cloud/v1/lbpools/{project_id}/{region_id}/{pool_id}/member/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tasks": [
    "d478ae29-dedc-4869-82f0-96104425f565"
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

pool_id
string<uuid4>
required

Pool ID

Example:

"00000000-0000-4000-8000-000000000000"

member_id
string<uuid4>
required

Member ID

Example:

"00000000-0000-4000-8000-000000000000"

Response

200 - application/json

OK

tasks
string[]
required

List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:

  • GET /v1/tasks/{task_id} - Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]